org.eclipse.eef.impl

## Class EEFButtonDescriptionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.eef.impl.EEFControlDescriptionImpl
          - - org.eclipse.eef.impl.EEFWidgetDescriptionImpl
            - - org.eclipse.eef.impl.EEFButtonDescriptionImpl

All Implemented Interfaces:
  EEFButtonDescription, EEFControlDescription, EEFWidgetDescription, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class EEFButtonDescriptionImpl
    extends EEFWidgetDescriptionImpl
    implements EEFButtonDescription

An implementation of the model object 'EEF Button Description'.

The following features are implemented:

- `Button Label Expression`
- `Push Expression`
- `Style`
- `Conditional Styles`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.String` `BUTTON_LABEL_EXPRESSION_EDEFAULT` The default value of the '`Button Label Expression`' attribute.
`protected java.lang.String` `buttonLabelExpression` The cached value of the '`Button Label Expression`' attribute.
`protected org.eclipse.emf.common.util.EList<EEFButtonConditionalStyle>` `conditionalStyles` The cached value of the '`Conditional Styles`' containment reference list.
`protected static java.lang.String` `PUSH_EXPRESSION_EDEFAULT` The default value of the '`Push Expression`' attribute.
`protected java.lang.String` `pushExpression` The cached value of the '`Push Expression`' attribute.
`protected EEFButtonStyle` `style` The cached value of the '`Style`' containment reference.

### Fields inherited from class org.eclipse.eef.impl.EEFWidgetDescriptionImpl

`HELP_EXPRESSION_EDEFAULT, helpExpression, IS_ENABLED_EXPRESSION_EDEFAULT, isEnabledExpression, LABEL_EXPRESSION_EDEFAULT, labelExpression, propertyValidationRules`

### Fields inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`identifier, IDENTIFIER_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `EEFButtonDescriptionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFButtonStyle` `basicGetStyle()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetStyle(EEFButtonStyle newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getButtonLabelExpression()`
`org.eclipse.emf.common.util.EList<EEFButtonConditionalStyle>` `getConditionalStyles()`
`java.lang.String` `getPushExpression()`
`EEFButtonStyle` `getStyle()`
`void` `setButtonLabelExpression(java.lang.String newButtonLabelExpression)`
`void` `setPushExpression(java.lang.String newPushExpression)`
`void` `setStyle(EEFButtonStyle newStyle)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.eef.impl.EEFWidgetDescriptionImpl

`eInverseAdd, getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from class org.eclipse.eef.impl.EEFControlDescriptionImpl

`getIdentifier, setIdentifier`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.EEFWidgetDescription

`getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### BUTTON_LABEL_EXPRESSION_EDEFAULT

    protected static final java.lang.String BUTTON_LABEL_EXPRESSION_EDEFAULT

The default value of the '`Button Label Expression`' attribute.

See Also:
  `getButtonLabelExpression()`

#### buttonLabelExpression

    protected java.lang.String buttonLabelExpression

The cached value of the '`Button Label Expression`' attribute.

See Also:
  `getButtonLabelExpression()`

#### PUSH_EXPRESSION_EDEFAULT

    protected static final java.lang.String PUSH_EXPRESSION_EDEFAULT

The default value of the '`Push Expression`' attribute.

See Also:
  `getPushExpression()`

#### pushExpression

    protected java.lang.String pushExpression

The cached value of the '`Push Expression`' attribute.

See Also:
  `getPushExpression()`

#### style

    protected EEFButtonStyle style

The cached value of the '`Style`' containment reference.

See Also:
  `getStyle()`

#### conditionalStyles

    protected org.eclipse.emf.common.util.EList<EEFButtonConditionalStyle> conditionalStyles

The cached value of the '`Conditional Styles`' containment reference list.

See Also:
  `getConditionalStyles()`

### Constructor Detail

#### EEFButtonDescriptionImpl

    protected EEFButtonDescriptionImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `EEFWidgetDescriptionImpl`

#### getButtonLabelExpression

    public java.lang.String getButtonLabelExpression()

Specified by:
  `getButtonLabelExpression` in interface `EEFButtonDescription`
Returns:
  the value of the 'Button Label Expression' attribute.
See Also:
  `EEFButtonDescription.setButtonLabelExpression(String)`, `EefPackage.getEEFButtonDescription_ButtonLabelExpression()`

#### setButtonLabelExpression

    public void setButtonLabelExpression(java.lang.String newButtonLabelExpression)

Specified by:
  `setButtonLabelExpression` in interface `EEFButtonDescription`
Parameters:
  `newButtonLabelExpression` - the new value of the 'Button Label Expression' attribute.
See Also:
  `EEFButtonDescription.getButtonLabelExpression()`

#### getPushExpression

    public java.lang.String getPushExpression()

Specified by:
  `getPushExpression` in interface `EEFButtonDescription`
Returns:
  the value of the 'Push Expression' attribute.
See Also:
  `EEFButtonDescription.setPushExpression(String)`, `EefPackage.getEEFButtonDescription_PushExpression()`

#### setPushExpression

    public void setPushExpression(java.lang.String newPushExpression)

Specified by:
  `setPushExpression` in interface `EEFButtonDescription`
Parameters:
  `newPushExpression` - the new value of the 'Push Expression' attribute.
See Also:
  `EEFButtonDescription.getPushExpression()`

#### getStyle

    public EEFButtonStyle getStyle()

Specified by:
  `getStyle` in interface `EEFButtonDescription`
Returns:
  the value of the 'Style' containment reference.
See Also:
  `EEFButtonDescription.setStyle(EEFButtonStyle)`, `EefPackage.getEEFButtonDescription_Style()`

#### basicGetStyle

    public EEFButtonStyle basicGetStyle()

#### basicSetStyle

    public org.eclipse.emf.common.notify.NotificationChain basicSetStyle(EEFButtonStyle newStyle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

#### setStyle

    public void setStyle(EEFButtonStyle newStyle)

Specified by:
  `setStyle` in interface `EEFButtonDescription`
Parameters:
  `newStyle` - the new value of the 'Style' containment reference.
See Also:
  `EEFButtonDescription.getStyle()`

#### getConditionalStyles

    public org.eclipse.emf.common.util.EList<EEFButtonConditionalStyle> getConditionalStyles()

Specified by:
  `getConditionalStyles` in interface `EEFButtonDescription`
Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFButtonDescription_ConditionalStyles()`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `EEFWidgetDescriptionImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `EEFWidgetDescriptionImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `EEFWidgetDescriptionImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `EEFWidgetDescriptionImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `EEFWidgetDescriptionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `EEFWidgetDescriptionImpl`